from framework.basealgorithm import BaseAlgorithm


class AlgorithmSelection(BaseAlgorithm):
    def __init__(self, toolset):
        BaseAlgorithm.__init__(self, toolset)

    def execute(self, toolset, step_descriptor):
        # step_descriptor is a string that is passed in acording to the protocol.
        # It identifies which stage of the tets is being requested (e.g. "train",
        # "adapt" )

        protocol_config = toolset['protocol_config']
        if step_descriptor == 'SelectAlgorithms':
            query_algo = protocol_config['query_algo']
            if query_algo == 'auto':
                query_algo = 'templateQueryAlgo/query_algo.py'
            else:
                NotImplementedError(f'Query Algo: {query_algo} not implemented')
            print(toolset['problem_type'])
            if 'image_classification' == toolset['problem_type']:
                classifier = protocol_config['image_classification_algo']
                if classifier == 'auto':
                    classifier = \
                        'templateImageClassification/image_classification.py'
                else:
                    NotImplementedError(
                        f'Image Classification Algo: {classifier} not implemented')

            elif 'object_detection' == toolset['problem_type']:
                classifier = protocol_config['object_detection_algo']
                if query_algo == 'auto':
                    classifier = 'templateObjectDetection/object_detection.py'
                else:
                    NotImplementedError(f'Object Detection Algo: {classifier} '
                                        f'not implemented')

            else:
                raise NotImplementedError(f"{toolset['problem_type']}"
                                          f"not implemented")

            return query_algo, classifier
